<!DOCTYPE html>
<html>
	<head>
		<%= htmlparts["headtag"] %>
		<%= htmlparts['headjs_switchpost'] %>
        <script type="text/javascript">
            /**
             * ページのロード時に呼ばれるメソッド
             */
            function loadexec(){
                changeOpacity("initButton", 50);
            }
            
            /**
             * 対象のエレメントの半透明度を変更するメソッド
             * @param {string} id 対象エレメントのID
             * @param {int} alpha 半透明度(0~100で指定)
             */
            function changeOpacity(id, alpha){
                if (alpha < 0 || alpha > 100) {
                    return false;
                }
                
                var targetElement = document.getElementById(id);
                targetElement.style.filter = "alpha(opacity=" + alpha + ")";
                targetElement.style.mozOpacity = alpha / 100;
                targetElement.style.opacity = alpha / 100;
                return true;
            }
            
            function beforeexec(form, action){
                // 「OK」時の処理開始 ＋ 確認ダイアログの表示
                if (window.confirm('本当に処理を実行しますか？')) {
                    document.getElementsByName("action").item(0).value = action;
                    form.submit();
                }
                else {
                    return false;
                }
            }
            
            function unlock(id){
                // ロックされた初期化ボタンを解除する
                if (document.getElementById(id).disabled) {
                    alert('初期化ボタンをアンロックします。');
                    var resetButton = document.getElementById(id);
                    resetButton.disabled = false;
                    changeOpacity(id, 100);
                }
                else {
                    return false;
                }
            }
        </script>
	</head>
	<body>
		<form action="<%= cgi.script_name %>" method="POST">
			<div class="menu_wrapper">
				<%= htmlparts["menu"] %>
			</div>
			<%= htmlparts["selectfile"] %>
			<%= htmlparts["infoarea"] %>
			<% db.transaction do %>
			<div class="contents">
				<h1>初期化機能</h1>
				　<span style="font-weight: bold;">[ 説明 ]</span>
				<br>
				　この機能を使用することで、記事に関するデータ全てを消去することができます。
				<br>
				　初期化処理を行うと、ディレクトリ [ <%= XMLPATH %>] の中のファイルを全て消去します。その後空のdiary.xmlとloglist.xmlを生成して設置します。消去前のAtom Feedの情報は一切保持されませんので気をつけてください。
				<br>
				<br>
				<table>
					<tr>
						<th class="maximum center padding_normal">
							[ <%= XMLPATH %>] ディレクトリ内部のファイル一覧
						</th>
					</tr>
					<% db["filelist"].each do |fname| %>
					<tr>
						<td class="maximum center padding_normal">
							<a href="<%= XMLPATH %><%= fname %>" target="_blank"><%= fname %></a>
						</td>
					</tr>
					<% end %>
				</table>
				<br>
				　<span style="font-weight: bold; color: #ff0000">[ 注意！ ]</span>
				<br>
				　初期化後にリセットしたデータを戻すことは出来ません！初期化を行う前に、入念に検討を行ってください。
				<br>
				<br>
				<div class="center">
					<input type="button" value="ロック解除" onclick="unlock('initButton')">　<input type="hidden" name="mode" value="reset"><input type="hidden" name="action" value=""><input type="button" value="初期化を行う" onclick="beforeexec(this.form, 'exec')" disabled="true" id="initButton">
				</div>
				<br>
			</div>
			<% end %>
			<div class="bottom_area">
				<%= APPVERSION %>
			</div>
		</form>
	</body>
</html>
